# Uses of Interface
org.opensaml.saml.saml1.core.SubjectStatement

Packages that use SubjectStatement
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.

## Uses of SubjectStatement in org.opensaml.saml.saml1.core

Subinterfaces of SubjectStatement in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`AttributeStatement`
This interface defines how the object representing a SAML 1 `AttributeStatement` element behaves.
`interface`
`AuthenticationStatement`
This interface defines how the object representing a SAML1 `AuthenticationStatment` element behaves.
`interface`
`AuthorizationDecisionStatement`
This interface defines how the object representing a SAML1 `AuthorizationDecisionStatement` element behaves.
Methods in org.opensaml.saml.saml1.core that return types with arguments of type SubjectStatement
Modifier and Type
Method
Description
`List<SubjectStatement>`
Assertion.`getSubjectStatements()`
Return the List representing all the `SubjectStatement` sub elements.

## Uses of SubjectStatement in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement SubjectStatement
Modifier and Type
Class
Description
`class`
`AttributeStatementImpl`
A Concrete implementation of the `AttributeStatement` Interface.
`class`
`AuthenticationStatementImpl`
A Concrete implementation of the `AuthenticationStatement` Interface.
`class`
`AuthorizationDecisionStatementImpl`
A concrete implementation of `AuthorizationDecisionStatement`.
`class`
`SubjectStatementImpl`
Abstract implementation of `SubjectStatement` type.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type SubjectStatement
Modifier and Type
Method
Description
`List<SubjectStatement>`
AssertionImpl.`getSubjectStatements()`
Return the List representing all the `SubjectStatement` sub elements.

## Uses of SubjectStatement in org.opensaml.saml.saml1.profile.impl

Methods in org.opensaml.saml.saml1.profile.impl with parameters of type SubjectStatement
Modifier and Type
Method
Description
`private Subject`
AddNameIdentifierToSubjects.`getStatementSubject(SubjectStatement statement)`
Get the subject to which the name identifier will be added.
`private Subject`
AddSubjectConfirmationToSubjects.`getStatementSubject(SubjectStatement statement)`
Get the subject to which the confirmation will be added.
`private Subject`
CopyNameIdentifierFromRequest.`getStatementSubject(SubjectStatement statement)`
Get the subject to which the name identifier will be added.